Přihlásit
: [1] 2
   |   
: flash player na 64bit  ( 5676 )
Vladimír Beran
Newbie
*

Karma: 0
: 25


« : November 07, 2008, 02:32:23 »

Mam Mandriva 2008.1. Pote, co jsem nainstaloval Macromedia Flash Player jsem se pustil do zprovozneni chybejiciho modulu. Nasel jsem na tomto foru nekolik postupu:

prvni z nich:

si stahnes flash ve formatu *.tar.gz, pak to normalne rozbalis treba pres Ark, nebo Konqueror.
Vytvori se ti rozbaleny adresar.
Zapnes si konzoli.
Prikazem cd /jmeno_rozbaleneho_adresare  se presunes do tohoto adresare.
Prihlasis se jako root (su+heslo+Enter)
napises  ./flash-player-installer (nebo tak nejak,podle toho,jak se presne jmenuje.
A ridis se instrukcemi.
Behem instalace te to vyzve, abys zadal adresar s knihovnami prohlizece.
V pripade firefoxu to bude asi /usr/lib/mozilla-firefox-1.0.6
Installer nainstaluje plugin.
Timto zpusobem muzes nainstalovat flash i do jinych prohlizecu., staci pak zadat treba /usr/lib/opera, atd.
Nekdy se stava,ze flash installer nejde spustit.
Pak staci v Konqueroru kliknout na soubor pravym tlacitkem -Vlastnosti a zatrhnout Je spustitelny

ztroskotal na hlasce

ERROR: Your architecture, \'x86_64\', is not supported by the
Adobe Flash Player installer.

Druhy:

tam jsem pouzil:
nspluginwrapper -i /usr/lib/flash-plugin/libflashplayer.so
vyskocila chyba:
*** NSPlugin Viewer  *** ERROR: libnss3.so: cannot open shared object file: No such file or directory
nspluginwrapper: no appropriate viewer found for /usr/lib/flash-plugin/libflashplayer.so
tak jsem pridal libnss3 a zopakoval prikaz, prisla chyba:
*** NSPlugin Viewer  *** ERROR: libplds4.so: cannot open shared object file: No such file or directory
nspluginwrapper: no appropriate viewer found for /usr/lib/flash-plugin/libflashplayer.so
tak jsem stahl balicek    xulrunner-1.9b5-1.fc7.i386.rpm, ktery libplsd4.so obsahuje, ale chyba nezmizela.

Co ted?

Ivan Bibr
Administrator
Hero Member
*****

Karma: 52
: 3 298



« #1 : November 07, 2008, 06:28:47 »

Zkuste se mrknout sem (podle všeho to chce nějaké 32bit knihovny):

http://forum.mandrivalinux.cz/index.php?topic=8713.0

Vladimír Beran
Newbie
*

Karma: 0
: 25


« #2 : November 27, 2008, 19:10:53 »

Takze dle linku nahore jsem postupoval nasledovne:

[root@localhost berri]# urpmi nspluginwrapper
Balíček nspluginwrapper-0.9.91.5-2mdv2008.1.x86_64 je již nainstalován
Balíčky nspluginwrapper-0.9.91.5-2mdv2008.1.x86_64, nspluginwrapper-0.9.91.5-2mdv2008.1.x86_64 nelze nainstalovat
[root@localhost berri]# nspluginwrapper -i /usr/lib/flash-plugin/libflashplayer.so
[root@localhost berri]#

Pokud vsak firefix nyni zapnu, tak stale hlasi, at doinstaluju flash. Zkousel jsem instalovat i swfdec, dle:

"Swfdec" je free flash pro 64bit Mandrivu (x86_64)
Nastavit zdroje balíčků.
V 64 bit zdrojích nainstalovat balíčky „swfdec“ a „swfdec-mozilla“.
Restart FireFox-u a jede to.
PS: „Swfdec“ má pro mne taky tu výhodu, že se flash animace neukazuje hned, ale až po kliknutí myší na flash odkaz. Do té doby je na místě flas animace vidět v prohlížeči jen šedá plocha s tlačítkem play. Tedy flash reklamy neobtěžují dokud si to sám nepřeju.

Nejede taktez. Uz vazne nevim, co dal. Diky.
Wiki
instalace-flash-pluginu.txt · Poslední úprava: 2008/11/11 13:26 autor: alda81





Linux Mandriva 2009 cz
alda81
Hero Member
*****

Karma: 43
: 2 621


alda81@jabber.cz


« #3 : November 27, 2008, 19:17:49 »

Linux Mandriva 2009 cz

máte opravdu Mandrivu 2009.0 ?

Na zmrdy, wohnouty a ichtyly nereaguju - někdy se ale neudržím a udělám vyjímku.

Na každé prase se vaří voda a čím větší prase, tím větší kotel. (lidová moudrost)
Vladimír Beran
Newbie
*

Karma: 0
: 25


« #4 : November 27, 2008, 20:07:52 »

Ne, mam Mandrivu 2008.1 64bit viz muj prvni prispevek.
alda81
Hero Member
*****

Karma: 43
: 2 621


alda81@jabber.cz


« #5 : November 27, 2008, 20:13:30 »

Ne, mam Mandrivu 2008.1 64bit viz muj prvni prispevek.

pak nechápu poslední větičku ve vašem druhém příspěvku 

asi bych radil odinstalovat firefox, nspluginwrapper, pak smazat ve vašem domovském adresáři skrytý adresář .mozilla (smažete tím veškeré nastavení firefoxu) a pak bych se pokusil znovu nainstalovat firefox + nspluginwrapper - je možné, že máte v systému po předchozích pokusech "bordel"

ale taky je možné, že nový flash nějak nespolupracuje (návod týkající se 64bitu byl psán před cca 1/2 rokem, já tam dělal úpravy v 32bitu - viz. poslední změny), ale to se můžu jenom dohadovat, protože sám jedu na 32bitu, 64bitu se vyhýbám
« : November 27, 2008, 20:32:49 alda81 »

Na zmrdy, wohnouty a ichtyly nereaguju - někdy se ale neudržím a udělám vyjímku.

Na každé prase se vaří voda a čím větší prase, tím větší kotel. (lidová moudrost)
Vladimír Beran
Newbie
*

Karma: 0
: 25


« #6 : November 27, 2008, 20:26:10 »

Jo, toho jsem si nevsiml, to se omlouvam, vysvetleni je jednoduche ctrl+c a potom crtl+v s odpadem, co jsem zapomnel smazat.
Vladimír Beran
Newbie
*

Karma: 0
: 25


« #7 : November 27, 2008, 21:34:33 »

nepomohlo 
alda81
Hero Member
*****

Karma: 43
: 2 621


alda81@jabber.cz


« #8 : November 27, 2008, 21:38:49 »

co vám vypíše příkaz nspluginwrapper -l?

ještě předtím příkazem zadejte do konzole pod rootem nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so
« : November 27, 2008, 21:40:26 alda81 »

Na zmrdy, wohnouty a ichtyly nereaguju - někdy se ale neudržím a udělám vyjímku.

Na každé prase se vaří voda a čím větší prase, tím větší kotel. (lidová moudrost)
Vladimír Beran
Newbie
*

Karma: 0
: 25


« #9 : November 27, 2008, 22:13:06 »

Odinstaloval jsem mozzilu, smazal adresar .mozzila ve svem domovskem adresari, odinstaloval nspluginwrapper. Stahl jsem si Mozillu 3.0.4 jako adresar a dal do domovskeho adresare do /Bin. Nasledne jsem zadal prikazy:

[root@localhost berri]# rpm - Uvh flash-plugin-10.0.12.36-release.i386.rpm
Preparing...                ########################################### [100%]
        balíček flash-plugin-10.0.12.36-release.i386 je již nainstalován
[root@localhost berri]# urpmi nspluginwrapper

instaluji nspluginwrapper-0.9.91.5-2mdv2008.1.x86_64.rpm z //var/ftp/pub/Mandrivalinux/media/main32
Připravuji...                    ##########################################################################################################################
      1/1: nspluginwrapper       ##########################################################################################################################
Auto-install plugins from /usr/lib64/mozilla/plugins
Looking for plugins in /usr/lib64/mozilla/plugins
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libjavaplugin.so: wrong ELF class: ELFCLASS64
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libtotem-basic-plugin-gstreamer.so: wrong ELF class: ELFCLASS64
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libtotem-gmp-plugin-gstreamer.so: wrong ELF class: ELFCLASS64
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libtotem-cone-plugin-gstreamer.so: wrong ELF class: ELFCLASS64
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libtotem-narrowspace-plugin-gstreamer.so: wrong ELF class: ELFCLASS64
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libtotem-mully-plugin-gstreamer.so: wrong ELF class: ELFCLASS64
*** NSPlugin Viewer  *** ERROR: /usr/lib64/mozilla/plugins/libtotem-complex-plugin-gstreamer.so: wrong ELF class: ELFCLASS64
Auto-install plugins from /root/.mozilla/plugins
Looking for plugins in /root/.mozilla/plugins
[root@localhost berri]# nspluginwrapper -i /usr/lib/flash-plugin/libflashplayer.so
[root@localhost berri]#       

Pote prikazy, ktere jste chtel vedet:

[root@localhost berri]# nspluginwrapper -l
/usr/lib64/mozilla/plugins/npwrapper.libflashplayer.so
  Original plugin: /usr/lib/flash-plugin/libflashplayer.so
  Wrapper version string: 0.9.91.5
[root@localhost berri]# nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so
nspluginwrapper: /usr/lib/mozilla/plugins/libflashplayer.so is not a valid NPAPI plugin

alda81
Hero Member
*****

Karma: 43
: 2 621


alda81@jabber.cz


« #10 : November 27, 2008, 22:22:23 »

no problém bych viděl v tom, že tam cpete "nedistribučního" Firefoxíka (musí se mu přenastavit cesty)

zkuste to nejprve s dvojkovou verzí Firefoxe ve formátu rpm obsaženou v distribuci ať se v tom zbytečně nezamotáváme

Na zmrdy, wohnouty a ichtyly nereaguju - někdy se ale neudržím a udělám vyjímku.

Na každé prase se vaří voda a čím větší prase, tím větší kotel. (lidová moudrost)
Vladimír Beran
Newbie
*

Karma: 0
: 25


« #11 : November 27, 2008, 22:41:04 »

Tak ted uz v tom "systemu" mam bordel uplny. Nainstaloval jsem, ale kdyz ho chci spustit, tak se nerozjede .
Vladimír Beran
Newbie
*

Karma: 0
: 25


« #12 : November 27, 2008, 22:49:51 »

Vzdavam to. Mam hodne prace a dva mesice se bokem pokousim rozjet flash. Projel jsem snad vsechny clanky vcetne anglickych. Nic nepomohlo. Asi bude snadnejsi nainstalovat 32bitovou verzi, protoze bez flashe to proste nejde. Jen na zaver dotaz. Mam disk rozdeleny na dva oddily. V jednom mam home a v druhem zbytek. Kdyz ted budu instalovat 32 bitovou verzi muzu ponechat oddil home, tak jak je (kvuli zaloze dat)? Samozrejme smazu vsechny skryte adresare a soubory pro pripad, ze by to chtelo delat bordel a necham jen ostre data.
Peťoš
Global Moderator
Hero Member
*****

Karma: 188
: 6 712



« #13 : November 27, 2008, 22:53:33 »

Jj, klidne to tak nechej. Jen jej nesmis pri instalaci naformatovat... pak to dela  neplechu :-)

Do it or do not. There is no "try".

Peťošův repozitář je na adrese: http://petos.cz/rpms
Fotoblog: http://vzducholode.blogspot.com a http://petos.cz/category/fotky
Vladimír Beran
Newbie
*

Karma: 0
: 25


« #14 : November 27, 2008, 23:00:12 »

OK, budu se snazit . Jako stve me to, nerad se vzdavam, ale zkusil jsem vazne vse a nic. Rozdil mezi 32 a 64 je snad jen v rychlosti, ne? A u meho prditka notebooku Asus A6K (Turion64 1.6) by snad takovy rozdil byt nemel.
: [1] 2
   |   
 
: